<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: StdDriver/inc/crc.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">crc.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series CRC driver header file.  
<a href="#details">More...</a></p>

<p><a href="crc_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga1c8431dfbf144f68548fcdcb09b605f4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1c8431dfbf144f68548fcdcb09b605f4">CRC_CCITT</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga1c8431dfbf144f68548fcdcb09b605f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e52750eccb4e3b43e187d43c47ee11c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e52750eccb4e3b43e187d43c47ee11c">CRC_8</a>&#160;&#160;&#160;0x40000000UL</td></tr>
<tr class="separator:ga8e52750eccb4e3b43e187d43c47ee11c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4cce368b6e4d5d7c373ef499172f7d89"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4cce368b6e4d5d7c373ef499172f7d89">CRC_16</a>&#160;&#160;&#160;0x80000000UL</td></tr>
<tr class="separator:ga4cce368b6e4d5d7c373ef499172f7d89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6aee885525d838fc93ed7d35d9c2d3b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6aee885525d838fc93ed7d35d9c2d3b">CRC_32</a>&#160;&#160;&#160;0xC0000000UL</td></tr>
<tr class="separator:gaf6aee885525d838fc93ed7d35d9c2d3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f5457261a4248ab335b6f023a59b566"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9f5457261a4248ab335b6f023a59b566">CRC_CHECKSUM_COM</a>&#160;&#160;&#160;0x08000000UL</td></tr>
<tr class="separator:ga9f5457261a4248ab335b6f023a59b566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc11c2c98b498874bab47c5474419802"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc11c2c98b498874bab47c5474419802">CRC_CHECKSUM_RVS</a>&#160;&#160;&#160;0x02000000UL</td></tr>
<tr class="separator:gacc11c2c98b498874bab47c5474419802"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0e16dd5e3c3f5ccbbf98bb16f55d5b91"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e16dd5e3c3f5ccbbf98bb16f55d5b91">CRC_WDATA_COM</a>&#160;&#160;&#160;0x04000000UL</td></tr>
<tr class="separator:ga0e16dd5e3c3f5ccbbf98bb16f55d5b91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga470580021c1b2270c363a8c0e25c93c3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga470580021c1b2270c363a8c0e25c93c3">CRC_WDATA_RVS</a>&#160;&#160;&#160;0x01000000UL</td></tr>
<tr class="separator:ga470580021c1b2270c363a8c0e25c93c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0407652657f834c49aacc23b3ef006e5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0407652657f834c49aacc23b3ef006e5">CRC_CPU_WDATA_8</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga0407652657f834c49aacc23b3ef006e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa566d8b56ee5cc4f2199faae732408c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa566d8b56ee5cc4f2199faae732408c1">CRC_CPU_WDATA_16</a>&#160;&#160;&#160;0x10000000UL</td></tr>
<tr class="separator:gaa566d8b56ee5cc4f2199faae732408c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a1a6e35a1611ad6c74fe882590b62c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a1a6e35a1611ad6c74fe882590b62c1">CRC_CPU_WDATA_32</a>&#160;&#160;&#160;0x20000000UL</td></tr>
<tr class="separator:ga9a1a6e35a1611ad6c74fe882590b62c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1dadd83ec92afc46bd51369969ae2462"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dadd83ec92afc46bd51369969ae2462">CRC_ENABLE_INT</a>(u32Mask)&#160;&#160;&#160;(<a class="el" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAIER |= (u32Mask))</td></tr>
<tr class="memdesc:ga1dadd83ec92afc46bd51369969ae2462"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable CRC Interrupt.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dadd83ec92afc46bd51369969ae2462">More...</a><br /></td></tr>
<tr class="separator:ga1dadd83ec92afc46bd51369969ae2462"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaedc732fd0d1a08a3f71a88fb1d6021ac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedc732fd0d1a08a3f71a88fb1d6021ac">CRC_DISABLE_INT</a>(u32Mask)&#160;&#160;&#160;(<a class="el" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAIER &amp;= ~(u32Mask))</td></tr>
<tr class="memdesc:gaedc732fd0d1a08a3f71a88fb1d6021ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable CRC Interrupt.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedc732fd0d1a08a3f71a88fb1d6021ac">More...</a><br /></td></tr>
<tr class="separator:gaedc732fd0d1a08a3f71a88fb1d6021ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed7be356430df0c67ddf11d575beb00e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed7be356430df0c67ddf11d575beb00e">CRC_GET_INT_FLAG</a>()&#160;&#160;&#160;((uint32_t)(<a class="el" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAISR))</td></tr>
<tr class="memdesc:gaed7be356430df0c67ddf11d575beb00e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get CRC Interrupt Flag.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed7be356430df0c67ddf11d575beb00e">More...</a><br /></td></tr>
<tr class="separator:gaed7be356430df0c67ddf11d575beb00e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed9fde59eafdf5fc7a1171e6b8953e84"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed9fde59eafdf5fc7a1171e6b8953e84">CRC_CLR_INT_FLAG</a>(u32Mask)&#160;&#160;&#160;(<a class="el" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAISR |= (u32Mask))</td></tr>
<tr class="memdesc:gaed9fde59eafdf5fc7a1171e6b8953e84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear CRC Interrupt Flag.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed9fde59eafdf5fc7a1171e6b8953e84">More...</a><br /></td></tr>
<tr class="separator:gaed9fde59eafdf5fc7a1171e6b8953e84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga704cb815cdec5f828b3ef657ea0c2a8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704cb815cdec5f828b3ef657ea0c2a8a">CRC_SET_SEED</a>(u32Seed)&#160;&#160;&#160;{ <a class="el" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;SEED = (u32Seed); <a class="el" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CTL |= <a class="el" href="_nano1_x2_series_8h.html#ac2fa68bcbe60b4db0317b7e64de67793">DMA_CRC_CTL_CRC_RST_Msk</a>; }</td></tr>
<tr class="memdesc:ga704cb815cdec5f828b3ef657ea0c2a8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set CRC seed value.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704cb815cdec5f828b3ef657ea0c2a8a">More...</a><br /></td></tr>
<tr class="separator:ga704cb815cdec5f828b3ef657ea0c2a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7fa53e28332f0cd7d61c4bb6a790264d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7fa53e28332f0cd7d61c4bb6a790264d">CRC_GET_SEED</a>()&#160;&#160;&#160;((uint32_t)(<a class="el" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;SEED))</td></tr>
<tr class="memdesc:ga7fa53e28332f0cd7d61c4bb6a790264d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get CRC Seed value.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7fa53e28332f0cd7d61c4bb6a790264d">More...</a><br /></td></tr>
<tr class="separator:ga7fa53e28332f0cd7d61c4bb6a790264d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5c7205773dfa62e97caa845acd58407"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab5c7205773dfa62e97caa845acd58407">CRC_WRITE_DATA</a>(u32Data)&#160;&#160;&#160;(<a class="el" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;WDATA = (u32Data))</td></tr>
<tr class="memdesc:gab5c7205773dfa62e97caa845acd58407"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC write data.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab5c7205773dfa62e97caa845acd58407">More...</a><br /></td></tr>
<tr class="separator:gab5c7205773dfa62e97caa845acd58407"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gadf2a1ac5fbf128e350b9c381e63e7a62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">CRC_Open</a> (uint32_t u32Mode, uint32_t u32Attribute, uint32_t u32Seed, uint32_t u32DataLen)</td></tr>
<tr class="memdesc:gadf2a1ac5fbf128e350b9c381e63e7a62"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC Open.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">More...</a><br /></td></tr>
<tr class="separator:gadf2a1ac5fbf128e350b9c381e63e7a62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc59b55387534047fb3bd2d908eaf012"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">CRC_StartDMATransfer</a> (uint32_t u32SrcAddr, uint32_t u32ByteCount)</td></tr>
<tr class="memdesc:gafc59b55387534047fb3bd2d908eaf012"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC Start DMA transfer.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">More...</a><br /></td></tr>
<tr class="separator:gafc59b55387534047fb3bd2d908eaf012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf0156b5936a304b688e9309235bf2541"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">CRC_GetChecksum</a> (void)</td></tr>
<tr class="memdesc:gaf0156b5936a304b688e9309235bf2541"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get CRC Checksum.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">More...</a><br /></td></tr>
<tr class="separator:gaf0156b5936a304b688e9309235bf2541"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Nano102/112 series CRC driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>9 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/11 5:55p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="crc_8h_source.html">crc.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:53 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
